### Method

# Gtk StringFilter set_search

#### Declaration [src]

    void
    gtk_string_filter_set_search (
      GtkStringFilter* self,
      const char* search
    )

#### Description [src]

Sets the string to search for.

Sets property | `Gtk.StringFilter:search`

#### Parameters

`search`

  Type: `const char*`

  The string to search for or `NULL` to clear the search.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.